Subject: Re: What do you do if you can't describe your request is as-req1

From: Jeffrey Altman <[email-masked]>
Date: Thu, 7 Feb 2002 15:11:55 EST

> 
> 
> So, we had this discussion before but I don't think really came to a
> conclusion.  Let's say just for argument that I've got a client name I
> don't know how to specify in an AS-REQ1.  Clearly I'm planning on
> communicating with only new KDCs, but I need to know what to send if
> I'm not sure the other end is new.
> 
> The request is going to fail, but I want an error back from an old
> KDC.  That means I can't just send a new request.
> 
> I think I send some sort of bogus old request with a pa-as-req2.  But
> what do I put in the bogus old request?
> 

What happens if you put in an empty string for the name?

The discussions we hard were going in the direction that you would put
an old style representation of the name in the old request.  That
would mean converting the name to ASCII.  Of course a name consisting
entirely of Tibetan is not going to translate well.  

In Kermit when we translate between two character sets and there is a
failed mapping for a character we replace it with a '?' to indicate
that something was there.  We could extend that here and say that if
the name does not translate to ASCII (or the locally defined default
8-bit character set) that it be replaced with either the empty string
or a string consisting of a single question mark, "?".

 Jeffrey Altman * Sr.Software Designer      C-Kermit 8.0 available now!!!
 The Kermit Project @ Columbia University   includes Telnet, FTP and HTTP
 http://www.kermit-project.org/             secured with Kerberos, SRP, and 
 [email-masked]                OpenSSL. Interfaces with OpenSSH